/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Interface::test_map"
  bool Interface::test_map (bool top_level)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    bool _return = true;

    log_printf(INFO,Behavioural,FUNCTION, "   * Interface \"%s\"",_name.c_str());
    
    for (std::list<Signal*>::iterator i  = _list_signal->begin();
	 i != _list_signal->end();
	 ++i)
      _return &= (*i)->test_map(top_level);

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
